Package org.apache.torque

# Class TorqueRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.torque.TorqueRuntimeException

All Implemented Interfaces:
  `Serializable`

public class TorqueRuntimeException extends RuntimeException
This is the base class of all non-checked exceptions in Torque.

Version:
  $Id: TorqueRuntimeException.java 1839288 2018-08-27 09:48:33Z tv $
Author:
  Rafal Krzewski
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TorqueRuntimeException()`
  Constructs a new `TorqueRuntimeException` without specified detail message.
  `TorqueRuntimeException(String msg)`
  Constructs a new `TorqueRuntimeException` with specified detail message.
  `TorqueRuntimeException(String msg, Throwable nested)`
  Constructs a new `TorqueRuntimeException` with specified detail message and nested `Throwable`.
  `TorqueRuntimeException(Throwable nested)`
  Constructs a new `TorqueRuntimeException` with specified nested `Throwable`.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TorqueRuntimeException

    public TorqueRuntimeException()
    Constructs a new `TorqueRuntimeException` without specified detail message.

  - ### TorqueRuntimeException

    public TorqueRuntimeException(String msg)
    Constructs a new `TorqueRuntimeException` with specified detail message.
    Parameters:
      `msg` - the error message.

  - ### TorqueRuntimeException

    public TorqueRuntimeException(Throwable nested)
    Constructs a new `TorqueRuntimeException` with specified nested `Throwable`.
    Parameters:
      `nested` - the exception or error that caused this exception to be thrown.

  - ### TorqueRuntimeException

    public TorqueRuntimeException(String msg, Throwable nested)
    Constructs a new `TorqueRuntimeException` with specified detail message and nested `Throwable`.
    Parameters:
      `msg` - the error message.
      `nested` - the exception or error that caused this exception to be thrown.